///////////////////////////////////////////////////////////////////////////////////////
///														///
///	Shader scripts for Schadenfreude: Team Arena (schad_ta.bsp).			///
///	Shader scripts may be freely modified/redistributed by other map authors 	///
///	for non-profit purposes.			  						///
///														///
///	ALL REFERENCED TEXTURES REMAIN THE PROPERTY OF THEIR ORIGINAL OWNER.		///
///	The following textures are modified from those produced by id Software for	///
///	Quake III: Arena or Quake III: Team Arena and may ONLY be redistributed for	///
///	use with these games as noted:								///
///		blueshiny.tga (both games); bluefx.jpg (both); redshiny.tga (both);	///
///		redfx.jpg (both); bluetrimmap.jpg (both); blueventmap.jpg (both);		///
///		redtrimmap.jpg (both); redventmap.jpg (both);					///
///		jump_clang.tga (Team Arena only)							///
///														///
///	All other textures were made by Jason Gill ("Cornelius") and may be 		///
///	re-distributed freely only if included in a .pk3 file which also 			///
///	contains a .bsp and .shader script which references the texture(s).  		///
///	Redistribution for profit or as part of a texture pack requires the 		///
///	author's permission.										///
///														///
///	j_j_gill@hotmail.com										///
///														///
///////////////////////////////////////////////////////////////////////////////////////

textures/crn_schadta01/thesky
{
	qer_editorimage textures/crn_schadta01/clouds1.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 0.88 0.9 0.9 50 90 90
	q3map_surfacelight 30
	q3map_lightimage textures/crn_schadta01/clouds1.tga
	skyparms - 1400 -

	{
		map textures/crn_schadta01/clouds1.tga
		tcMod scroll 0.08 0.02
		tcMod scale 1 1.5 
	}
	{
		map textures/crn_schadta01/clouds.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.08 0.01
		tcMod scale 1 3
	}
}

textures/crn_schadta01/bettergib
{
	qer_editorimage textures/crn_schadta01/sign_1.tga
	surfaceparm nomarks
	surfaceparm nolightmap

	{
		animMap 0.5 textures/crn_schadta01/sign_1.tga textures/crn_schadta01/sign_2.tga textures/crn_schadta01/sign_3.tga textures/crn_schadta01/black.tga
		rgbGen wave inversesawtooth 0 1 0 0.5
	}
	{
		map textures/crn_schadta01/screenlines.tga
		blendFunc add
		tcmod scale 2 2
		tcmod scroll -7 0
	}
}

textures/crn_schadta01/blacksky
{
	qer_editorimage textures/crn_schadta01/black.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap

	{
		map textures/crn_schadta01/black.tga
		rgbgen identity
	}
}

textures/crn_schadta01/arrows
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	{
		map textures/crn_schadta01/arrows.tga
		blendfunc add
		rgbGen identity
	}
}

textures/crn_schadta01/bluecircle
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	{
		clampmap textures/crn_schadta01/bluecircle.tga
		blendfunc add
		tcmod rotate 35
		rgbGen identity
	}
	{
		clampmap textures/crn_schadta01/bluecircle1.tga
		blendfunc add
		tcmod rotate 90
		rgbGen identity
	}
}

textures/crn_schadta01/bluemetal
{
	qer_editorimage textures/crn_schadta01/blueshiny.tga

	{
		map textures/crn_schadta01/bluefx.tga
		rgbGen identity
		tcGen environment
		tcmod scale .5 .5
	}
	{
		map textures/crn_schadta01/blueshiny.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}

textures/crn_schadta01/bluesprite
{
	qer_editorimage textures/crn_schadta01/blueflare1.tga
	cull disable
	surfaceparm nonsolid
	surfaceparm nolightmap
	deformVertexes autosprite

	{
		clampmap textures/crn_schadta01/blueflare1.tga
		tcMod stretch sin .8 0.2 0 .1
		tcmod rotate 120
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		clampmap textures/crn_schadta01/blueflare2.tga
		tcMod stretch sin .8 0.2 0 .2
		tcmod rotate -70
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/crn_schadta01/bluetrim
{
	qer_editorimage textures/base_support/grate2_7_small.tga

	{
		map textures/base_support/grate2_7_small.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
	{
		map textures/crn_schadta01/bluetrimmap.tga
		blendFunc GL_ONE GL_one
		rgbGen wave triangle 1.4 0.7 0 0.1
	}
}

textures/crn_schadta01/bluevent
{
	qer_editorimage textures/base_wall/bluemetalsupport2c_1vent.tga
	q3map_surfacelight 200
	q3map_lightimage textures/crn_schadta01/blueventmap.tga

	{
		map textures/base_wall/bluemetalsupport2c_1vent.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
	{
		map textures/crn_schadta01/blueventmap.tga
		blendFunc GL_ONE GL_one
	}
}

textures/crn_schadta01/bluezzzt
{
	qer_editorimage textures/base_trim/pewter.tga

	{
		map textures/base_trim/tin.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
	{
		map textures/crn_schadta01/bzt.tga	
		tcmod scale 0.1 0.1
		tcmod turb 0 0.3 0 0.2
		tcmod scroll 0.2 0.4
		rgbGen wave sin 1.4 1.2 0 0.2
		blendfunc add
	}
	
}

textures/crn_schadta01/redcircle
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	{
		clampmap textures/crn_schadta01/redcircle.tga
		blendfunc add
		tcmod rotate 35
		rgbGen identity
	}
	{
		clampmap textures/crn_schadta01/redcircle1.tga
		blendfunc add
		tcmod rotate 90
		rgbGen identity
	}
}

textures/crn_schadta01/redmetal
{
	qer_editorimage textures/crn_schadta01/redshiny.tga

	{
		map textures/crn_schadta01/redfx.tga
		rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/crn_schadta01/redshiny.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}

textures/crn_schadta01/redsprite
{
	qer_editorimage textures/crn_schadta01/redflare1.tga
	cull disable
	surfaceparm nonsolid
	surfaceparm nolightmap
	deformVertexes autosprite

	{
		clampmap textures/crn_schadta01/redflare1.tga
		tcMod stretch sin .8 0.2 0 .1
		tcmod rotate 120
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		clampmap textures/crn_schadta01/redflare2.tga
		tcMod stretch sin .8 0.2 0 .2
		tcmod rotate -70
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/crn_schadta01/redtrim
{
	qer_editorimage textures/base_support/grate2_7_small.tga

	{
		map textures/base_support/grate2_7_small.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
	{
		map textures/crn_schadta01/redtrimmap.tga
		blendFunc GL_ONE GL_one
		rgbGen wave triangle 1.4 0.7 0 0.1
	}
}

textures/crn_schadta01/redvent
{
	qer_editorimage textures/base_wall/bluemetalsupport2c_1vent.tga
	q3map_surfacelight 200
	q3map_lightimage textures/crn_schadta01/redventmap.tga

	{
		map textures/base_wall/bluemetalsupport2c_1vent.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
	{
		map textures/crn_schadta01/redventmap.tga
		blendFunc GL_ONE GL_one
	}
}

textures/crn_schadta01/tv2
{
	qer_editorimage textures/crn_schadta01/screenmap2.tga

	{
		map textures/base_wall/chrome_env.tga
		rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/crn_schadta01/screenmap2.tga
		blendFunc add
		tcmod scroll 0.5 0
		rgbgen wave sin 1 0.3 0.5 20
	}
	{
		map textures/crn_schadta01/screenlines.tga
		blendFunc add
		tcmod scale 2 2
		tcmod scroll -5 0
	}
}

textures/crn_schadta01/windowslime
{

		qer_editorimage textures/liquids/slime7.tga
		q3map_lightimage textures/liquids/slime7.tga
		q3map_globaltexture

		surfaceparm nolightmap	
		q3map_surfacelight 200

		{
			map textures/liquids/slime7c.tga
			tcMod turb .3 .2 1 .05
			tcMod scroll .01 .01
		}
		{
			map textures/liquids/slime7.tga
			blendfunc add
			tcMod turb .2 .1 1 .05
			tcMod scale .5 .5
			tcMod scroll .01 .01
		}
		{
			map textures/liquids/bubbles.tga
			blendfunc add
			tcMod turb .2 .1 .1 .2
			tcMod scale .05 .05
			tcMod scroll .001 .001
		}
		{
			map textures/base_trim/tinfx.tga
			blendfunc add
			tcGen environment
			tcmod scale .5 .5
		}
}

textures/crn_schadta01/tag
{
	qer_editorimage textures/crn_schadta01/allbase.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	{
		map textures/crn_schadta01/allbase.tga
		blendfunc add
		rgbGen wave sin 0.6 0.4 0 0.8
	}
}

textures/crn_schadta01/tag2
{
	qer_editorimage textures/crn_schadta01/crn_ind.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	{
		map textures/crn_schadta01/black.tga
		blendfunc add
		rgbGen identity
	}
}

//////////////////////////////////////////////////////////////////////////
////The following are direct modifications of id's Team Areana shaders////
//////////////////////////////////////////////////////////////////////////

textures/crn_schadta01/ntrl_jumpad_cl
{      
      qer_editorimage textures/crn_schadta01/jump_clang.tga
	q3map_lightimage textures/sfx2/jumpadn2.tga
	q3map_surfacelight 450
        
        {
	        map textures/sfx2/jumpadn.tga
                blendFunc GL_ONE GL_ZERO
                tcmod rotate 130
                //tcMod stretch sin .7 0.5 0 .2
	        rgbGen identity
	}
        {
	        map textures/sfx2/fan01.tga
		  blendFunc blend
                tcmod rotate -311
	        rgbGen identity
	}
        {
		clampmap textures/sfx2/jumpadn2.tga
		blendfunc Add
                tcmod rotate 130
		tcMod stretch sin 1.2 .8 0 1.4
		rgbGen wave square .5 .5 .25 1.4
	}
        {
		map textures/crn_schadta01/jump_clang.tga
                blendFunc blend
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}
textures/crn_schadta01/blue_jumpad_cl
{      
      qer_editorimage textures/crn_schadta01/jump_clang.tga
	q3map_lightimage textures/sfx2/jumpadb2.tga
	q3map_surfacelight 450
        
        {
	        map textures/sfx2/jumpadb.tga
                blendFunc GL_ONE GL_ZERO
                tcmod rotate 130
                //tcMod stretch sin .7 0.5 0 .2
	        rgbGen identity
	}
        {
	        map textures/sfx2/fan01.tga
		  blendFunc blend
                tcmod rotate -311
	        rgbGen identity
	}
        {
		clampmap textures/sfx2/jumpadb2.tga
		blendfunc Add
                tcmod rotate 130
		tcMod stretch sin 1.2 .8 0 1.4
		rgbGen wave square .5 .5 .25 1.4
	}
        {
		map textures/crn_schadta01/jump_clang.tga 
                blendFunc blend
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/crn_schadta01/red_jumpad_cl
{      
      qer_editorimage textures/crn_schadta01/jump_clang.tga
	q3map_lightimage textures/sfx2/jumpadr2.tga
	q3map_surfacelight 450

        
        {
	        map textures/sfx2/jumpadr.tga
                blendFunc GL_ONE GL_ZERO
                tcmod rotate 130
                //tcMod stretch sin .7 0.5 0 .2
	        rgbGen identity
	}
        {
	        map textures/sfx2/fan01.tga
		  blendFunc blend
                tcmod rotate -311
	        rgbGen identity
	}
        {
		clampmap textures/sfx2/jumpadr2.tga
		blendfunc Add
                tcmod rotate 130
		tcMod stretch sin 1.2 .8 0 1.4
		rgbGen wave square .5 .5 .25 1.4
	}
        {
		map textures/crn_schadta01/jump_clang.tga 
                blendFunc blend
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/crn_schadta01/concrete
{
	qer_editorimage textures/crn_schadta01/mapp_conc_dark.tga

	{
	map textures/base_wall/concrete_dark.tga
	rgbGen identity
	}
	{
	map $lightmap
	blendfunc filter
	rgbgen identity
	}
}